require 'test_helper'

class AlumnusControllerTest < ActionController::TestCase
  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:alumnus)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create alumnu" do
    assert_difference('Alumnu.count') do
      post :create, :alumnu => { }
    end

    assert_redirected_to alumnu_path(assigns(:alumnu))
  end

  test "should show alumnu" do
    get :show, :id => alumnus(:one).to_param
    assert_response :success
  end

  test "should get edit" do
    get :edit, :id => alumnus(:one).to_param
    assert_response :success
  end

  test "should update alumnu" do
    put :update, :id => alumnus(:one).to_param, :alumnu => { }
    assert_redirected_to alumnu_path(assigns(:alumnu))
  end

  test "should destroy alumnu" do
    assert_difference('Alumnu.count', -1) do
      delete :destroy, :id => alumnus(:one).to_param
    end

    assert_redirected_to alumnus_path
  end
end
